import { CanvasClient } from '../CanvasClient';

export class ConfigService {
  private canvas: CanvasClient;

  constructor(canvasClient: CanvasClient) {
    this.canvas = canvasClient;
  }

  async getConfig(): Promise<unknown> {
    return this.canvas.get('configuration/get');
  }

  async validateVoucher(payload: object): Promise<unknown> {
    // const payload = {
    //     HotelId: hotelId,
    //     VoucherCode: voucherCode,
    // };

    return this.canvas.post('vouchers/validate', payload);
  }
}
